Announcement

User registrations are currently disabled due to high spam traffic.

  • Index
  •  » off topic
  •  » Which firmware supports emulators or homebrew?

#1 20/06/07 7:58pm

remppa
Member
From: Lahti
Registered: 30/05/07
Posts: 20

Which firmware supports emulators or homebrew?

Yo, I want to know which firmware supports emulators or homebrew games? I'm a bit noob on these stuffs, so tell me please.


I play World of Warcraft noob horse

Offline

 

#2 20/06/07 9:05pm

master498
Mod.
From: United States
Registered: 25/05/07
Posts: 1005

Re: Which firmware supports emulators or homebrew?

2.6 is good and works for most of that stuff but dont just download stuff without reading about it.  also it COULD brick your psp   there are also some other firmwares that work though

Offline

 

#3 20/06/07 9:18pm

koolboy323
Regular Member
Registered: 19/05/07
Posts: 31

Re: Which firmware supports emulators or homebrew?

1.0 - 1.5 is probably the best for playing FULL homebrew.... The Only thing is downgrading/ Downdating <---makes no sense to me.. Anyway its best to see what psp youre buying like the type and code. They dont really sell those 1.0-2.60 psp's anymore.. There really rare, lol my friend got a 2.71! heh heh no homebrew for him. But I think It matters about the firmware you start off with so you have a less chance of bricking.

Offline

 

#4 20/06/07 9:24pm

remppa
Member
From: Lahti
Registered: 30/05/07
Posts: 20

Re: Which firmware supports emulators or homebrew?

ok ty guys, i would like to play ps1 games on my psp but i have firmware 3.50. :`( Well guys, thanks for info.


I play World of Warcraft noob horse

Offline

 

#5 20/06/07 9:27pm

master498
Mod.
From: United States
Registered: 25/05/07
Posts: 1005

Re: Which firmware supports emulators or homebrew?

it needs to be a psp that was from right when they came out or very close or that started as 1.0

Offline

 

#6 20/06/07 9:30pm

remppa
Member
From: Lahti
Registered: 30/05/07
Posts: 20

Re: Which firmware supports emulators or homebrew?

I wish i never had heard anything about updates. yikes


I play World of Warcraft noob horse

Offline

 

#7 01/07/07 11:18am

JaXeRiR
Elite Moderator
From: Teh Interwebz
Registered: 25/03/07
Posts: 1925
Website

Re: Which firmware supports emulators or homebrew?

remppa wrote:

Yo, I want to know which firmware supports emulators or homebrew games? I'm a bit noob on these stuffs, so tell me please.

Hey remppa, if you have 3.50 you can downgrade to 1.5 and play homebrew on that version, it's the best around, except for 1.0, which you can't actually get because it's the firts version around, and there are no updates for it, but back to the topic, if you own a game called Lumines, you can use that game and downgrade a 3.50 PSP back to 1.5 and play homebrew, then maybe update to 3.40 OE-A the newest, and the best custom firmware, which supports PS1 games too. I don't wanna confuse you or anything, if you didn't get something just ask.

llamaboy123 wrote:

2.6 is good and works for most of that stuff but dont just download stuff without reading about it.  also it COULD brick your psp   there are also some other firmwares that work though

You actually have no idea about these things, 2.6 does support a few emulators and a little bit of homebrew through an illegal eLoader. If you would have 2.6 you should probably downgrade to 1.5 to play homebrew.

koolboy323 wrote:

1.0 - 1.5 is probably the best for playing FULL homebrew.... The Only thing is downgrading/ Downdating <---makes no sense to me.. Anyway its best to see what psp youre buying like the type and code. They dont really sell those 1.0-2.60 psp's anymore.. There really rare, lol my friend got a 2.71! heh heh no homebrew for him. But I think It matters about the firmware you start off with so you have a less chance of bricking.

Actually you can find 1.5 - 2.60 PSP's around. My cousin bought his PSP last week, and by suprise the firmware was 2.01. Which he of course first updated to 3.50 tongue

But when bying from the net or from your local electronic store (if you don't live close to big cities) you may have good luck finding yourself with a 1.00 - 2.60 PSP

llamaboy123 wrote:

it needs to be a psp that was from right when they came out or very close or that started as 1.0

No it doesn't have to be, you can just downgrade like I just said. Everyone thinks that downgraders have a big possibility to brick, but actually, they can only brick your PSP if:

A) You have downloaded the downgrader from a non-trustable source,
B) You shut off your PSP while downgrading,
C) You have no idea of what you're doing,
D) You do not follow the instructions as said,
E) You have not paid your electricity bill and the power company decides to shut your electricity in middle of the downgrade.

There are a couple of more reasons but I just don't wanna post 'em now. You should check out this topic here: http://pspflashgaming.com/forum/viewtop … =4087#4087

Last edited by JaXeRiR (01/07/07 11:28am)


[url=http://profile.mygamercard.net/JaX3RiR][img]http://card.mygamercard.net/nxe/JaX3RiR.png[/img][/url]

Offline

 
  • Index
  •  » off topic
  •  » Which firmware supports emulators or homebrew?

Board footer

Powered by PunBB
© Copyright 2002–2005 Rickard Andersson